メインコンテンツへスキップ
GET
/
crm-object-schemas
/
v3
/
schemas
/
{objectType}
指定されたカスタムオブジェクトのスキーマを取得します。
curl --request GET \
  --url https://api.hubapi.com/crm-object-schemas/v3/schemas/{objectType} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm-object-schemas/v3/schemas/{objectType}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm-object-schemas/v3/schemas/{objectType}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "associations": [
    {
      "fromObjectTypeId": "2-123456",
      "id": "123",
      "name": "my_object_to_contact",
      "toObjectTypeId": "0-1"
    }
  ],
  "createdAt": "2020-02-20T18:07:11.390Z",
  "fullyQualifiedName": "p7878787_my_object\"",
  "id": "123456",
  "labels": {
    "plural": "My objects",
    "singular": "My object"
  },
  "metaType": "PORTAL_SPECIFIC",
  "name": "my_object",
  "primaryDisplayProperty": "my_object_property",
  "properties": [
    {
      "archived": false,
      "calculated": false,
      "createdAt": "2020-02-20T18:07:11.802Z",
      "displayOrder": -1,
      "externalOptions": false,
      "fieldType": "text",
      "groupName": "my_object_information",
      "hasUniqueValue": false,
      "label": "My object property",
      "name": "my_object_property",
      "type": "string",
      "updatedAt": "2020-02-20T18:07:11.802Z"
    }
  ],
  "requiredProperties": [
    "my_object_property"
  ],
  "searchableProperties": [
    "my_object_property"
  ],
  "updatedAt": "2020-02-20T18:09:07.555Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

スキーマの完全修飾名またはオブジェクトタイプID。

クエリパラメータ

includeAssociationDefinitions
boolean
デフォルト:true
includeAuditMetadata
boolean
デフォルト:true
includePropertyDefinitions
boolean
デフォルト:true

レスポンス

successful operation

Defines an object schema, including its properties and associations.

associations
object[]
必須

特定のオブジェクトタイプについて定義された関連付け。

id
string
必須

このスキーマのオブジェクトタイプの固有ID。{meta-type}-{unique ID}として定義されます。

labels
object
必須

Singular and plural labels for the object. Used in CRM display.

:
{
  "plural": "My objects",
  "singular": "My object"
}
name
string
必須

スキーマのオブジェクトタイプの重複しない名前。

properties
object[]
必須

このオブジェクトタイプについて定義されたプロパティー。

requiredProperties
string[]
必須

このタイプのオブジェクトを作成する際に「必須」となるプロパティーの名前。

allowsSensitiveProperties
boolean
archived
boolean
createdAt
string<date-time>

オブジェクトスキーマが作成された日時。

createdByUserId
integer<int32>
description
string
fullyQualifiedName
string

ポータルIDやオブジェクト名を含む、オブジェクトの割り当てられた固有ID。

objectTypeId
string
primaryDisplayProperty
string

このオブジェクトのプライマリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにプライマリーとして表示されます。

searchableProperties
string[]

HubSpotの製品検索でこのオブジェクトタイプについてインデックスされるプロパティーの名前。

secondaryDisplayProperties
string[]

このオブジェクトのセカンダリープロパティーの名前。このオブジェクトタイプのHubSpotレコードページにセカンダリーとして表示されます。

updatedAt
string<date-time>

オブジェクトスキーマが最後に更新された日時。

updatedByUserId
integer<int32>
最終更新日 2026年4月10日